Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ConnectionBendpointEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.ConnectionBendpointEditPolicy
                          org.eclipse.gmf.runtime.diagram.ui.editpolicies.ConnectionBendpointEditPolicy

All Implemented Interfaces:
  EditPolicy, java.util.EventListener, IAdaptable, java.beans.PropertyChangeListener, RequestConstants

public class ConnectionBendpointEditPolicy
extends org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.ConnectionBendpointEditPolicy

This EditPolicy defines the behavior of Bendpoints on a Connection.

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`` `ConnectionBendpointEditPolicy()`
`protected` `ConnectionBendpointEditPolicy(org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.LineMode lineSegMode)`

Method Summary
`protected Command` `getBendpointsChangedCommand(BendpointRequest request)` Method getBendpointsChangedCommand.
`protected Command` `getBendpointsChangedCommand(Connection connection, Edge edge)` Method getBendpointsChangedCommand Different signature method that allows a command to constructed for changing the bendpoints without requiring the original Request.
`Command` `getCommand(Request request)` Returns the appropriate Command for the request type given.
`protected Command` `getSetBendpointCommand(SetAllBendpointRequest request)` Method getSetBendpointCommand.

Methods inherited from class org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.ConnectionBendpointEditPolicy

`activate, addInvisibleCreationHandle, addSelectionHandles, adjustOutsideBoundsLineFeedback, createDragSourceFeedbackConnection, createManualHandles, createSelectionHandles, deactivate, eraseConnectionFeedback, eraseSourceFeedback, getAdapter, getConnection, getCreateBendpointCommand, getDeleteBendpointCommand, getLineSeg, getLineSegMode, getMoveBendpointCommand, getMoveLineSegCommand, lineOutsideSource, lineOutsideTarget, propertyChange, removeOutsideSourceFeedback, removeOutsideTargetFeedback, restoreOriginalConstraint, saveOriginalConstraint, setLineSeg, showCreateBendpointFeedback, showDeleteBendpointFeedback, showMoveBendpointFeedback, showMoveLineSegFeedback, showOutsideSourceFeedback, showOutsideTargetFeedback, showSourceFeedback, stickyStraightLineFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`addSelectionListener, getTargetEditPart, hideFocus, removeSelectionListener, setFocus, setSelectedState, showFocus, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionBendpointEditPolicy

    protected ConnectionBendpointEditPolicy(org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.LineMode lineSegMode)

Parameters:
  `lineSegMode` -

### ConnectionBendpointEditPolicy

    public ConnectionBendpointEditPolicy()

Method Detail

### getCommand

    public Command getCommand(Request request)

  Returns the appropriate Command for the request type given. Handles creating, moving and deleting bendpoints. The actual creation of the command is taken care of by subclasses implementing the appropriate methods.

  See Also:
    `ConnectionBendpointEditPolicy.getCreateBendpointCommand(BendpointRequest)`, `ConnectionBendpointEditPolicy.getMoveBendpointCommand(BendpointRequest)`, `ConnectionBendpointEditPolicy.getDeleteBendpointCommand(BendpointRequest)`

### getBendpointsChangedCommand

    protected Command getBendpointsChangedCommand(BendpointRequest request)

  Method getBendpointsChangedCommand. This method will return a SetBendpointsCommand with the points retrieved from the user feedback in the figure.

  Parameters:
    `request` - BendpointRequest from the user gesture for moving / creating a bendpoint
  Returns:
    Command SetBendpointsCommand that contains the point changes for the connection.

### getBendpointsChangedCommand

    protected Command getBendpointsChangedCommand(Connection connection,
                                                  Edge edge)

  Method getBendpointsChangedCommand Different signature method that allows a command to constructed for changing the bendpoints without requiring the original Request.

  Parameters:
    `connection` - Connection to generate the bendpoints changed command from
    `edge` - notation element that the command will operate on.
  Returns:
    Command SetBendpointsCommand that contains the point changes for the connection.

### getSetBendpointCommand

    protected Command getSetBendpointCommand(SetAllBendpointRequest request)

  Method getSetBendpointCommand. This method returns a command that executes the REQ_SET_ALL_BENDPOINT request

  Parameters:
    `request` - SetAllBendpointRequest that stores the points to be set by the command.
  Returns:
    Command to be executed.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.